Bug 2069002 - Rebase: zlib-1.2.12 is available
Summary: Rebase: zlib-1.2.12 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Javorsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2068066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-28 04:19 UTC by Upstream Release Monitoring
Modified: 2022-07-08 09:03 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-08 09:03:19 UTC
Type: ---


Attachments (Terms of Use)
Update to 1.2.12 (#2069002) (1.03 KB, patch)
2022-03-28 04:19 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2022-03-28 04:19:04 UTC
Latest upstream release: 1.2.12
Current version/release in rawhide: 1.2.11-31.fc36
URL: http://www.zlib.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5303/

Comment 1 Upstream Release Monitoring 2022-03-28 04:19:10 UTC
Created attachment 1868647 [details]
Update to 1.2.12 (#2069002)

Comment 2 Upstream Release Monitoring 2022-03-28 04:22:52 UTC
the-new-hotness/release-monitoring.org's scratch build of zlib-1.2.12-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=84822039

Comment 3 Petr Pisar 2022-04-19 07:41:19 UTC
Any progress? It blocks 3 other Perl packages.

Comment 4 Lukas Javorsky 2022-04-22 09:51:47 UTC
Hi Peto,

I'm sorry we had a lot of work on RHEL (prioritized) variants.

Regarding this rebase, we agreed to work with IBM to improve the patching workflow, so it's easier in future maintenance, so it may take a bit longer.

We'll let you know with any updates we have on this.
We apologize if this is blocking you or your packages.

Comment 5 Petr Pisar 2022-04-25 09:05:08 UTC
No problem for me at the end. The dependency from Perl packages was a mistake.

Comment 6 Lukas Javorsky 2022-06-22 10:53:32 UTC
Working on the rebase.

This will include a few new optimization patches (from the https://github.com/mscastanho/zlib/tree/power-optimizations-1.2.12 repo).

Comment 7 Lukas Javorsky 2022-06-22 14:54:38 UTC
I've finished the rebase with (hopefully) all of your patches.

Could you please check it and test if everything you want is in there?

The RPMs are located here: https://ljavorsk.fedorapeople.org/zlib/

PS: They are built on Fedora 37 (rawhide) is it possible for you to test it there as well?

Comment 8 Lukas Javorsky 2022-06-22 17:51:22 UTC
PR for this rebase: https://src.fedoraproject.org/rpms/zlib/pull-request/13#

Comment 9 Petr Pisar 2022-06-23 06:37:19 UTC
I use it in my x86_64 F37 machine and so far good.

Comment 10 Matheus Castanho 2022-06-23 18:00:58 UTC
Tested on a ppc64le (POWER8, POWER9, POWER10) and looks good. Verified that optimized functions are being used. Thanks!

Comment 11 Lukas Javorsky 2022-06-23 18:43:30 UTC
I'm sorry I forgot to apply two covscan patches in the spec file (zlib-1.2.11-covscan-issues-rhel9.patch and zlib-1.2.11-covscan-issues.patch) which had been trimmed a bit from the old 1.2.11 release.

I've added the new RPMs to the link above, could you please just quickly check if those patches don't affect your optimizations?

Sorry for the inconvenience, it should be 100% now.

Comment 12 Matheus Castanho 2022-06-23 20:10:06 UTC
Checked again with the new packages, looks good as well =)

Comment 13 Ilya Leoshkevich 2022-06-27 10:09:35 UTC
zlib-1.2.12-1.fc37.s390x.rpm and zlib-devel-1.2.12-1.fc37.s390x.rpm pass all of my tests. Thanks!

Comment 14 Lukas Javorsky 2022-06-28 11:40:42 UTC
Zlib example.c test has been changed, so I updated our test suite.

This new example.c code is not passing with the old version of the zlib package (only with the new 1.2.12 version), so we can't merge it in our RHEL tests.

Commit: https://src.fedoraproject.org/tests/zlib/c/e779459f7719dafee961449984c823e57d82de89?branch=main

Comment 15 Lukas Javorsky 2022-06-29 13:53:45 UTC
zlib-1.2.12-2.fc37 should be now part of the Fedora Rawhide.

https://bodhi.fedoraproject.org/updates/FEDORA-2022-ae1ef61f24

Closing this BZ.

Comment 16 Lukas Javorsky 2022-06-30 13:49:32 UTC
This rebase was untagged due to the problems it caused to the ruby package (https://github.com/ruby/spec/issues/932)

I'll create a private COPR repository and provide it to the other teams that use zlib for proper testing and only after those tests are complete we can ship the new release.

I apologize for the inconvenience.

Comment 17 Lukas Javorsky 2022-07-04 14:07:41 UTC
I've applied commit (https://github.com/madler/zlib/commit/ec3df00224d4b396e2ac6586ab5d25f673caa4c2) to the zlib package.

Vit could you please test the patched rpms for your issue, if this issue is fixed in the new zlib?

The RPMs can be found here: https://ljavorsk.fedorapeople.org/zlib/

Comment 18 Jarek Prokop 2022-07-08 08:46:33 UTC
Concerning Ruby zlib tests:
The package zlib-1.2.12-3.fc37 from the https://ljavorsk.fedorapeople.org/zlib/ is OK, related Ruby tests pass again. This was verified both locally using the prebuilt binary package for x86_64 and in copr using the SRPM package from the fedorapeople site.

Copr verification:
The zlib package was built in copr [0] then it was used for a Ruby build in the same repository [1]. The x86_64 failed before on "Zlib.crc32 calculates CRC checksum for string and initial CRC value FAILED
" [2], but in the copr with the patched zlib is now passing the "Zlib.crc32 calculates CRC checksum for string and initial CRC value" test [3] (however, note that there are other problems not related to zlib).

[0] https://copr.fedorainfracloud.org/coprs/jackorp/ruby_zlib/build/4608423/
[1] https://copr.fedorainfracloud.org/coprs/jackorp/ruby_zlib/build/4608483/
[2] https://kojipkgs.fedoraproject.org/work/tasks/6241/88876241/build.log
[3] https://download.copr.fedorainfracloud.org/results/jackorp/ruby_zlib/fedora-rawhide-x86_64/04608483-ruby/builder-live.log.gz

Comment 19 Lukas Javorsky 2022-07-08 09:03:19 UTC
Thank you for testing Jarek.

The new zlib release is now pushed to Fedora Rawhide: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1bd6fd68f5


Note You need to log in before you can comment on or make changes to this bug.